Bug 1824358 - null creationTimestamp shows as relative time of 50 years ago
Summary: null creationTimestamp shows as relative time of 50 years ago
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.5.0
Assignee: Cyril
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-16 02:01 UTC by Jessica Forrester
Modified: 2020-07-13 17:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Code error Consequence: Fix: Fixed Result: Works as expected.
Clone Of:
Environment:
Last Closed: 2020-07-13 17:27:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5197 0 None closed Bug 1824358: null creationTimestamp shows as relative time of 50 years ago 2020-06-23 10:03:37 UTC
Github openshift console pull 5283 0 None closed Bug 1824358: null creationTimestamp shows as relative time of 50 years ago 2020-06-23 10:03:37 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:28:28 UTC

Description Jessica Forrester 2020-04-16 02:01:11 UTC
The ComponentStatus resource appears to have a null creationTimestamp, when going to Explore -> ComponentStatus -> Instances I noticed they all report as "50 years ago". It looks like we are passing the null into the timestamp libraries and getting back epoch time. If i click into one of the instance the same problem happens on the details page expect I get the non-relative epoch time "Dec 31, 1969 7:00 pm"

It's an edge case that should generally not happen, as most resources do report a timestamp. ComponentStatus is a fake object and doesn't behave like normal k8s resources in this particular case.

Should handle the null another way with a N/A or some other way to show there is no timestamp.

Note: i actually found it in 4.4, but it's so minor it probably isn't worth a backport.

Comment 7 XiaochuanWang 2020-05-06 07:02:05 UTC
According to the fix, from PR's (https://github.com/openshift/console/pull/5283/files) comment, it is expected now.

Checked on 4.5.0-0.nightly-2020-05-06-003431
It returns the '-' when props.timestamp is null which is updated in the PR.

Comment 8 errata-xmlrpc 2020-07-13 17:27:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.